"""
An assortment of named colors stolen from PICO-8.
"""

# Official base colors
BLACK           = (0, 0, 0)  #  0
DARK_BLUE       = (29, 43, 83)  #  1
DARK_PURPLE     = (126, 37, 83)  #  2
DARK_GREEN      = (0, 135, 81)  #  3
BROWN           = (171, 82, 54)  #  4
DARK_GREY       = (95, 87, 79)  #  5
LIGHT_GREY      = (194, 195, 199)  #  6
WHITE           = (255, 241, 232)  #  7
RED             = (255, 0, 77)  #  8
ORANGE          = (255, 163, 0)  #  9
YELLOW          = (255, 236, 39)  # 10
GREEN           = (0, 228, 54)  # 11
BLUE            = (41, 173, 255)  # 12
LAVENDER        = (131, 118, 156)  # 13
PINK            = (255, 119, 168)  # 14
LIGHT_PEACH     = (255, 204, 170)  # 15

# Undocumented extra colors
BROWNISH_BLACK  = (41,24,20)  # 128 / -16
DARKER_BLUE     = (17,29,53)  # 129 / -15
DARKER_PURPLE   = (66,33,54)  # 130 / -14
BLUE_GREEN      = (18,83,89)  # 131 / -13
DARK_BROWN      = (116,47,41)  # 132 / -12
DARKER_GREY     = (73,51,59)  # 133 / -11
MEDIUM_GREY     = (162,136,121)  # 134 / -10
LIGHT_1YELLOW   = (243,239,125)  # 135 / -9
DARK_RED        = (190,18,80)  # 136 / -8
DARK_ORANGE     = (255,108,36)  # 137 / -7
LIME_GREEN      = (168,231,46)  # 138 / -6
MEDIUM_GREEN    = (0,181,67)  # 139 / -5
TRUE_BLUE       = (6,90,181)  # 140 / -4
MAUVE           = (117,70,101)  # 141 / -3
DARK_PEACH      = (255,110,89)  # 142 / -2
PEACH           = (255,157,129)  # 143 / -1

COLORS = (
    # Official base colors
    BLACK,
    DARK_BLUE,
    DARK_PURPLE,
    DARK_GREEN,
    BROWN,
    DARK_GREY,
    LIGHT_GREY,
    WHITE,
    RED,
    ORANGE,
    YELLOW,
    GREEN,
    BLUE,
    LAVENDER,
    PINK,
    LIGHT_PEACH,

    # Undocumented extra colors
    BROWNISH_BLACK,
    DARKER_BLUE,
    DARKER_PURPLE,
    BLUE_GREEN,
    DARK_BROWN,
    DARKER_GREY,
    MEDIUM_GREY,
    LIGHT_1YELLOW,
    DARK_RED,
    DARK_ORANGE,
    LIME_GREEN,
    MEDIUM_GREEN,
    TRUE_BLUE,
    MAUVE,
    DARK_PEACH,
    PEACH,
)
"""
Color pallete stolen from PICO-8.

Includes the 16 official base colors + 16 undocumented extra colors

All colors in this list have alpha channel value of 255
"""
